Partially Update Autotune

Update selected properties of the experiment

patchhttps://statsigapi.net/console/v1/autotunes/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Body

application/json
descriptionstring

A brief summary of what the autotune is being used for.

variantsobject[]

An array of Variant objects.

Show child attributes
name[]stringrequired

Variant name

json[]unknownrequired

Variant JSON data

size[]number

Variant size

successEventstring

The event you are trying to optimize for.

successEventValuestring

The value that should come with the event for it to be considered successful.

explorationWindowstring

The initial time period where Autotune will equally split the traffic.

attributionWindowstring

The maximum duration between the exposure and success event that counts as a success.

attributionWindowUnitstring

Time unit of attribution window

explorationWindowRatenumber

Exploration window rate

longtermExplorationAllocationnumber

Long term exploration allocation

winnerThresholdstring

The "probability of best" threshold a variant needs to achieve for Autotune to declare it the winner, stop collecting data, and direct all traffic.

metadataFieldstring

Metadata field containing the numeric value to optimize for. If this field is null, autotune optimizes for the existence of a follow-up event. This is only used for contextual autotunes.

higherIsBetterboolean

Whether to optimize for an increase or decrease in the metadata field value. Default is true. This is only used for contextual autotunes.

isContextualboolean

Whether this is a contextual autotune

metricSourceIDstring

Metric source to pull success event data from

linkedExperimentNamestring

Linked experiment to measure the success of the Autotune

goalRichTextstring

Autotune goal

optimizationParameterstring

Optimize for event occurrence vs value

valueColumnstring

Metric source column to optimize for

featureListstring[]

List of features that should be included in the analysis

Response

application/json
200· Partially Update Autotune Success
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
descriptionstringrequired

Detailed description of the configuration’s purpose.

variantsobject[]required
name[]stringrequired

Variant name

json[]unknownrequired

Variant JSON data

size[]number

Variant size

id[]stringrequired

The name that was originally given to the autotune on creation but formatted as an ID ("A Autotune" -> "a_autotune").

successEventstringrequired

The event you are trying to optimize for.

successEventValuestringrequired

The value that should come with the event for it to be considered successful.

explorationWindowstringrequired

The initial time period where Autotune will equally split the traffic.

attributionWindowstringrequired

The maximum duration between the exposure and success event that counts as a success.

attributionWindowUnitstring

Time unit of attribution window

explorationWindowRatenumber

Exploration window rate

longtermExplorationAllocationnumber

Long term exploration allocation

winnerThresholdstringrequired

The "probability of best" threshold a variant needs to achieve for Autotune to declare it the winner, stop collecting data, and direct all traffic.

metadataFieldstring

Metadata field containing the numeric value to optimize for. If this field is null, autotune optimizes for the existence of a follow-up event. This is only used for contextual autotunes.

higherIsBetterboolean

Whether to optimize for an increase or decrease in the metadata field value. Default is true. This is only used for contextual autotunes.

isContextualboolean

Whether this is a contextual autotune

metricSourceIDstring

Metric source to pull success event data from

linkedExperimentNamestring

Linked experiment to measure the success of the Autotune

goalRichTextstring

Autotune goal

optimizationParameterstring

Optimize for event occurrence vs value

valueColumnstring

Metric source column to optimize for

featureListstring[]

List of features that should be included in the analysis

inlineTargetingRulesJSONstring

A raw JSON string of the inline targeting rules

inlineTargetingRulesobject[]

A formatted array of the inline targeting rules

name[]stringrequired

The name of this rule.

passPercentage[]numberrequired

Of the users that meet the conditions of this rule, what percent should return true.

conditions[]object[]required

An array of Condition objects.

targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]

The environments this rule is enabled for.

id[]string

The Statsig ID of this rule.

baseID[]string

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValue[]object

The return value of the rule.

completedAutomatedRollouts[]object[]

Read-only: Automated rollout phases that have already completed.

time[]number
passPercent[]numberrequired
pendingAutomatedRollouts[]object[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

time[]number
passPercent[]numberrequired
idstringrequired

ID

namestring

Optional name for the configuration.

idTypestringrequired

Type of ID

lastModifierIDstringrequired

ID of the last modifier.

lastModifiedTimenumberrequired

Time of the last modification.

lastModifierEmailstringrequired

Email of the last modifier.

lastModifierNamestringrequired

Name of the last modifier.

creatorIDstringrequired

ID of the user who created the entity.

createdTimenumberrequired

Timestamp when the entity was created.

creatorNamestringrequired

Name of the creator.

creatorEmailstringrequired

Email of the creator.

tagsstring[]

Optional tags for categorization.

targetAppsstring[]

List of target applications associated with this configuration.

holdoutIDsstring[]

Holdouts applied to this configuration.

teamstring

Optional name for the responsible team.

teamIDstring

Optional ID of the responsible team.

versionnumber

Version number

isStartedbooleanrequired

Is the autotune experiment currently running.

winnerobjectrequired
idstringrequired

The Statsig UserID of the last modifier of this autotune.

namestringrequired

The Statsig Username of the last modifier of this autotune.

400· Invalid request. Please check the request input and try again.
statusintegerrequired
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
messagestringrequired
404· Not Found. The requested resource could not be found.
statusintegerrequired
messagestringrequired

Was this helpful?